<?php

$dimensions = array(


'
D1. Visitor


' => '-',
'ga:browser' => 'The names of browsers used by visitors to your website.  For example,  "Internet Explorer" or "Firefox."  The version of the browser is not returned in this field.',
'ga:browserVersion' => 'The browser versions used by visitors to your site.  For example, 2.0.0.14',
'ga:city' => 'The cities of site visitors, derived from IP addresses.  The city field falls in a hierarchy of geographical groupings used in Analytics, which proceeds in the following order: continent, sub-continent, country, region, sub-region, and city.',
'ga:connectionSpeed' => 'The qualitative network connection speeds of   site visitors.  For example, T1, DSL, Cable, Dialup.',
'ga:continent' => 'The continents of site visitors, derived from  IP addresses.',
'ga:countOfVisits' => 'Number of visits to your site. This  is calculated by determining the number of visitor sessions. For example, if a visitor comes to your site, exits their browser, and 5 minutes later visits your site again via the same browser, that is calculated as 2 visits.',
'ga:country' => 'The countries of site visitors, derived from  IP addresses.',
'ga:date' => 'The date of the visit. An integer in the form YYYYMMDD.',
'ga:day' => 'The day of the month from 01 to 31.',
'ga:daysSinceLastVisit' => 'The number of days elapsed since visitors last visited the site.  Used to calculate visitor loyalty. For example, if you view this field in a report on 5/20, and some visitors last visited your site on 5/15, the value for this would be 5, reported as "5 days ago."',
'ga:flashVersion' => 'The versions of Flash supported by visitors\' browsers, including minor versions.',
'ga:hostname' => 'The hostnames visitors used to reach your site.  In other words, if some visitors use www.googlestore.com to reach your site,  this string appears as one of the hostnames used to reach your site. However, if other visitors also come to your site via googlestore.com or via an IP redirect from a search engine result (66.102.9.104), those values will also be present in this field.',
'ga:hour' => 'A two digit hour of the day ranging from 00-23. (Google Analytics does not track visitor time more precisely than hours.) Note: Combining this dimension with ga:adContent is not currently supported.',
'ga:javaEnabled' => 'Whether the visitor has Java support enabled on their browser. The possible values are Yes or No.',
'ga:language' => 'This field uses the language as provided by the HTTP Request for the browser to determine the primary languages used by  visitors.  Values are given as an ISO-639 code (e.g.  en-gb for British English).',
'ga:latitude' => 'The approximate latitude of the visitor\'s city. Locations north of the equator are represented by positive values and locations south of the equator by negative values.',
'ga:longitude' => 'The approximate longitude of the visitor\'s city.   Locations east of the meridian are represented by positive values and locations west of the meridian by negative values.',
'ga:month' => 'The month of the visit. A two digit integer from 01 to 12.',
'ga:networkDomain' => 'The domain name of the ISPs used by visitors to your website.',
'ga:networkLocation' => 'The name of service providers used to reach your site.  For example, if most visitors to your site come via the major service providers for cable internet, you will see the names of those cable service providers in this element.',
'ga:pageDepth' => 'The number of pages visited by visitors during a session (visit). The value is a histogram that counts  pageviews across a range of possible values. In this calculation, all visits will have at least one pageview, and some percentage of visits will have more.',
'ga:operatingSystem' => 'The operating system used by your visitors. For example, Windows, Linux, Macintosh, iPhone, iPod.',
'ga:operatingSystemVersion' => 'The version of the operating system used by your visitors, such as XP for Windows or PPC for Macintosh.',
'ga:region' => 'The region of site visitors, derived from  IP addresses. In the U.S., a region is a state, such as New York.',
'ga:screenColors' => 'The color depth of visitors\' monitors, as retrieved from the DOM of the visitor\'s browser. Values include 4-bit, 8-bit, 24-bit, or undefined-bit.',
'ga:screenResolution' => 'The screen resolution of visitors\' monitors, as retrieved from the DOM of the visitor\'s browser. For example: 1024x738.',
'ga:subContinent' => 'The sub-continent of site visitors, derived from  IP addresses. For example, Polynesia or Northern Europe.',
'ga:userDefinedValue' => 'The value provided when you define custom visitor segments for your site. For more information, see Creating Custom Visitor Segments.',
'ga:visitorType' => 'A boolean indicating if visitors are new or returning. Possible values: New Visitor, Returning Visitor.',
'ga:week' => 'The week of the visit. A two-digit number from 01 to 52.',
'ga:year' => 'The year of the visit. A four-digit year from 2005 to the current year.',
'
 D2. Campaign


' => '-',
'ga:adContent' => 'The first line of the text for your online Ad campaign.  If you are using mad libs for your AdWords content, this field displays the keywords you provided for the mad libs keyword match. Note: Combining this dimension with ga:hour is not currently supported.',
'ga:adGroup' => 'The ad groups that you have identified for your campaign keywords.  For example, you might have an ad group toys which you associate with the keywords fuzzy bear.',
'ga:adSlot' => 'The position of the advertisement as it appears on the host page. For example, the online advertising position might be side or top.',
'ga:adSlotPosition' => 'The  order of the online advertisement as it appears along with other ads in the position on the page.  For example, the ad might appear on the right side of the page and be the 3rd ad from the top.',
'ga:campaign' => 'The name(s) of the online ad campaign that you use for your website.',
'ga:keyword' => 'The keywords used by visitors to reach your site, via both paid ads and through search engine results.',
'ga:medium' => 'The type of referral to your website. For example,  when referring sources  to your website are search engines, there are a number of possible mediums that can be used from a search engine referral: from a search result (organic) and  from an online ad on the search results page (CPC, ppc, cpa, CPM, cpv, cpp).',
'ga:referralPath' => 'The path of the referring URL. If someone places a link to your site on their website, this element contains the path of the page that contains the referring link.',
'ga:source' => 'The domain (e.g. google.com) of the source referring the visitor to your website. The value for this dimension sometimes contains a port address as well.',
'
D3. Content


' => '-',
'ga:exitPagePath' => 'The last page of the session (or "exit" page) for your visitors.',
'ga:landingPagePath' => 'The path component of the URL of the entrance or "landing" page for your visitors.',
'ga:pagePath' => 'The page on your website by path and/or query parameters.',
'ga:pageTitle' => 'The title for the page, as specified in the  element of the HTML document.',
'
D4. Ecommerce


' => '-',
'ga:affiliation' => 'Typically used to designate  a supplying company or brick and mortar location; product affiliation.',
'ga:daysToTransaction' => 'The number of days between users\' purchases and the related campaigns that lead to the purchases.',
'ga:productCategory' => 'Any product variations (size, color) for purchased items as supplied by your ecommerce application.',
'ga:productName' => 'The product name for purchased items as supplied by your ecommerce tracking method.',
'ga:productSku' => 'The product codes for purchased items as you have defined them in your ecommerce tracking application.',
'ga:transactionId' => 'The transaction ID for the shopping cart purchase as supplied by your ecommerce tracking method.',
'
D5. Internal Search


' => '-',
'ga:searchCategory' => 'If you have categories enabled for internal site search, this field identifies the categories used for the internal search.  For example, you might have product categories for internal search, such as electronics, furniture, or clothing.',
'ga:searchDestinationPage' => 'The page that the user visited after performing an internal site search.',
'ga:searchKeyword' => 'Search terms used by site visitors on your internal site search.',
'ga:searchKeywordRefinement' => 'Subsequent keyword search terms or strings entered by users after a given initial string search.',
'ga:searchStartPage' => 'The page where the user initiated an internal site search.',
'ga:searchUsed' => 'A boolean which separates visitor activity depending upon whether internal search activity occured or did not occur.
  Values are Visits With Site Search and Visits Without Site Search.',

);


$metrics = array(

'
M1. Visitor


' => '-',
'ga:bounces' => 'The total number of single-page visits to your site.',
'ga:entrances' => 'The number of entrances to your site.  The value will always be equal to the number of visits when aggregated over your entire website.  Thus, this metric is most useful when combined with dimensions such as ga:landingPagePath, at which point entrances as a metric indicates the number of times a particular page served as an entrance to your site.',
'ga:exits' => 'The number of exits from your site. As with entrances, it will always be equal to the number of visits when aggregated over your entire website.  Use this metric in combination with content dimensions such as ga:exitPagePath in order to determine the number of times  a particular page was the last one viewed by visitors.',
'ga:newVisits' => 'The number of visitors whose visit to your site was marked as a first-time visit.',
'ga:pageviews' => 'The total  number of pageviews for your site when aggregated over the selected dimension.  For example, if you select this metric together with ga:pagePath, it will return the number of page views for each  URI.',
'ga:timeOnPage' => 'How long a visitor spent on a particular page or set of pages.  Calculated by subtracting the initial view time for a particular page from the initial view time for a subsequent page.  Thus, this metric does not apply to exit pages for your site.',
'ga:timeOnSite' => 'The total duration of visitor sessions over the selected dimension.  For example, suppose you combine this field with a particular ad campaign.  In this case, the metric will display the total duration of all visitor sessions for those visitors who came to your site via a particular ad campaign.  You could then compare this metric to the duration of all visitors who came to your site through means other than the particular ad campaign.  This would then give you a side-by-side comparison and a means to calculate the boost in visit duration provided by a particular campaign.',
'ga:visitors' => 'Total number of visitors to your site for the requested time period. When requesting this metric, you can only combine it with time dimensions such as ga:hour or ga:year.',
'ga:visits' => 'The total number of visits over the selected dimension. A visit consists of a single-user session, which times out automatically after 30 minutes unless the visitor continues activity on your site, or unless you have adjusted the user session in the ga.js tracking for your site. See Adjusting the User Session for more information.',
'
M2. Campaign


' => '-',
'ga:adClicks' => 'The total number of times users have clicked on an ad to reach your site.',
'ga:adCost' => 'Derived cost for the advertising campaign. The currency for this value is based on the currency that you set in your AdWords account.',
'ga:CPC' => 'Cost to advertiser per click.',
'ga:CPM' => 'Cost per thousand impressions.',
'ga:CTR' => 'Click-through-rate for your ad. This is equal to the number of clicks divided by the number of impressions for your ad (e.g. how many times users clicked on one of your ads where that ad appeared).',
'ga:impressions' => 'Total number of campaign impressions.',
'
M3. Content


' => '-',
'ga:uniquePageviews' => 'The number of different (unique) pages within a visit,  summed up across all visits',
'
M4. Ecommerce

Note: The currency value for all revenue-based metrics adhere to the guidelines described in the Ecommerce Guidelines for the ga.js API.
' => '-',
'ga:itemRevenue' => 'Total revenue from purchased product items on your site. See the tracking API reference for _addItem() for additional information.',
'ga:itemQuantity' => 'The total number of items purchased.  For example, if  users purchase 2 frisbees and 5 tennis balls, 7 items have been purchased.',
'ga:transactionRevenue' => 'The total sale revenue, including shipping and tax, if provided in the transation. See the documentation for _addTrans() in the tracking API reference for additional information.',
'ga:transactions' => 'The total number of transactions.',
'ga:transactionShipping' => 'The total cost of shipping.',
'ga:transactionTax' => 'The total amount of tax.',
'ga:uniquePurchases' => 'The number of product sets purchased.  For example, if  users purchase 2 frisbees and 5 tennis balls from your site,  2 product sets have been purchased.',
'
M5. Internal Search


' => '-',
'ga:searchDepth' => 'The average number of subsequent page views made on your site after a use of your internal search feature.',
'ga:searchDuration' => 'The visit duration to your site where a use of your internal search feature occurred.',
'ga:searchExits' => 'The number of exits on your site that occurred following a search result from your internal search feature.',
'ga:searchRefinements' => 'The number of refinements made on an internal search.',
'ga:searchUniques' => 'The number of unique visitors to your site who used your internal search feature.',
'ga:searchVisits' => 'The total number of visits to your site where a use of your internal search feature occurred.',
'
M6. Goals


' => '-',
'ga:goal1Completions' => 'The total number of completions for the specific goal. You can request completions for individual goals by number (e.g. ga:goalCompletions1).',
'ga:goal2Completions' => 'The total number of completions for the specific goal. You can request completions for individual goals by number (e.g. ga:goalCompletions1).',
'ga:goal3Completions' => 'The total number of completions for the specific goal. You can request completions for individual goals by number (e.g. ga:goalCompletions1).',
'ga:goal4Completions' => 'The total number of completions for the specific goal. You can request completions for individual goals by number (e.g. ga:goalCompletions1).',
'ga:goalCompletionsAll' => 'The total number of completions for all goals defined for your profile.',
'ga:goal1Starts' => 'The total number of starts for the requested goal number.',
'ga:goal2Starts' => 'The total number of starts for the requested goal number.',
'ga:goal3Starts' => 'The total number of starts for the requested goal number.',
'ga:goal4Starts' => 'The total number of starts for the requested goal number.',
'ga:goalStartsAll' => 'The total number of starts for all goals defined for your profile.',
'ga:goal1Value' => 'The total numeric value for the requested goal.',
'ga:goal2Value' => 'The total numeric value for the requested goal.',
'ga:goal3Value' => 'The total numeric value for the requested goal.',
'ga:goal4Value' => 'The total numeric value for the requested goal.',
'ga:goalValueAll' => 'The total value for all goals defined for your profile.',
);

$dimensionsFilter = array(
  '==' => 'Exact match',
  '!=' => 'Does not match',
  '=~' => 'Contains a match for the regular expression',
  '!~' => 'Does not match regular expression',
  '=@' => 'Contains substring',
  '!@' => 'Does not contain substring',
);

$metricsFilter = array(
  '==' => 'Equals',
  '!=' => 'Does not equal',
  '>' => 'Greater than',
  '<' => 'Less than',
  '>=' => 'Greater than or equal to',
  '<=' => 'Less than or equal to',
);



