<?php

require_once ('./options.php');

ksort($dimensions);
ksort($metrics);

// enter your prefered :
$_GET['profile-id'] = '';
$_GET['username'] = '';
$_GET['password'] = '';

if (!isset($_GET['max-results'])) {
  $_GET['max-results'] = 50;
}
if (!isset($_GET['start-index'])) {
  $_GET['start-index'] = 1;
}
if (!isset($_GET['start-date'])) {
  $_GET['start-date'] = date('Y-m-d', strtotime('-31 days'));
}
if (!isset($_GET['end-date'])) {
  $_GET['end-date'] = date('Y-m-d');
}

?>

<form action="" method="get" id="form-request">
  <div class="right">
    <a href="http://www.xorax.info/">by XoraX</a>
    <a href="http://www.xorax.info/labs/ga-api-gui/ga-api-gui.tgz">download</a>
  </div>
  <div id="connection">
    <label>profile ID : <input type="text" name="profile-id" value="<?php echo htmlentities(@$_GET['profile-id']) ?>" /></label>
    <label>username : <input type="text" name="username" value="<?php echo htmlentities(@$_GET['username']) ?>"/></label>
    <label>password : <input type="password" name="password" value="<?php echo htmlentities(@$_GET['password']) ?>"/></label>
  </div>
  
  <div class="left dimensions">
    <a href="http://code.google.com/intl/fr/apis/analytics/docs/gdata/gdataReferenceDimensionsMetrics.html#dimensions">dimensions</a>
    <div class="list">
    <?php foreach ($dimensions as $dim => $help) : ?>
      <?php if ($help == '-') continue; ?>
      <?php $dim = substr($dim, 3); ?>
      <div class="dim param" title="<?php echo $dim ?>"><?php echo $dim ?></div>
    <?php endforeach; ?>
    </div>
    <input type="text" id="dimensions" name="dimensions">
  </div>
  
  <div class="left metrics">
    <a href="http://code.google.com/intl/fr/apis/analytics/docs/gdata/gdataReferenceDimensionsMetrics.html#metrics">metrics</a>
    <div class="list">
    <?php foreach ($metrics as $metric => $help) : ?>
      <?php if ($help == '-') continue; ?>
      <?php $metric = substr($metric, 3); ?>
      <div class="metric param" title="<?php echo $metric ?>"><?php echo $metric ?></div>
    <?php endforeach; ?>
    </div>
    <input type="text" id="metrics" name="metrics">
  </div>
  
  <div class="options">
    <label class="droppable">filters <small>( AND = ; | OR = , )</small> : <input type="text" name="filters" /></label>
    <small>you may include "ga:" before each field only for filters</small>
    <label class="droppable">sort : <input type="text" name="sort" /></label>
    <label>max-results : <input type="text" id="max-results" name="max-results" value="<?php echo htmlentities(@$_GET['max-results']) ?>" /></label>
    <label>start-index : <input type="text" id="start-index" name="start-index" value="<?php echo htmlentities(@$_GET['start-index']) ?>" /></label>
    <label>start-date : <input type="text" id="start-date" name="start-date" value="<?php echo htmlentities(@$_GET['start-date']) ?>" /></label>
    <label>end-date : <input type="text" id="end-date" name="end-date" value="<?php echo htmlentities(@$_GET['end-date']) ?>" /></label>
    <input type="submit" value="send" id="send" /><br/>
    <a href="http://code.google.com/intl/fr/apis/analytics/docs/gdata/gdataReferenceDimensionsMetrics.html#dimensionCombinations">combinations</a>
  </div>
  
  <div class="clear"></div>
</form>

